footer {
    background-color: #121212; 
    color: #ffffff; 
    padding: 60px 20px; 
    text-align: center;
    border-top: 3px solid #800000;
    box-shadow: 0 -2px 15px rgba(0, 0, 0, 0.1); 
}
.footer-container {
    max-width:100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 30px; 
    padding: 0 20px;
}
footer p, footer a {
    color: #ffffff; 
    text-decoration: none;
    font-size: 16px;
    line-height: 1.8;
}
footer a:hover {
    color: #800000;
    text-decoration: underline;
}
.quick-links ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.quick-links li {
    margin-bottom: 16px; 
}

.quick-links p {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 18px;
    letter-spacing: 1px; 
    color: #e60000;
}

.quick-links a {
    color: #ffffff;
    font-size: 16px;
    transition: color 0.3s ease, padding-left 0.2s ease; /
}

.quick-links a:hover {
    color: #ff4b5c;
    padding-left: 5px;
}
.social-media h3 {
    font-size: 22px; 
    font-weight: bold;
    margin-bottom: 15px;
    letter-spacing: 1px;
    color: #e60000;
}

.social-media a {
    color: #ffffff;
    font-size: 45px;
    margin: 0 25px; 
    transition: transform 0.3s ease, color 0.3s ease; 
}

.social-media a:hover {
    color: #e60000;
    transform: scale(2); 
}

/* Copyright Section */
.copyright {
    font-size: 14px;
    margin-top: 40px;
    border-top: 1px solid #800000; 
    padding-top: 20px;
    color: #999; 
    letter-spacing: 1px;
}

.copyright p {
    margin: 10px 0;
}

.copyright a {
    color: #e60000;
    font-weight: bold;
    transition: color 0.3s ease;
}

.copyright a:hover {
    color: #ffffff;
}

/* Contact Info Styles */
.contact-info {
    margin-bottom: 20px;
    color: #ffffff  ;
    margin-right: -10px;
}

.contact-info a {
    color: #e60000;
    font-weight: bold;
    transition: color 0.3s ease;
}

.contact-info a:hover {
    text-decoration: underline;
}

.contact-info p {
    font-size: 14px;
    line-height: 1.6;
}
.developer-name{
    color: #e60000;
}

/* Responsive Design */
@media (max-width: 1024px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .social-media a {
        font-size: 50px; 
        margin: 0 20px;
    }

    .quick-links p {
        font-size: 20px; 
    }

    .contact-info p {
        font-size: 16px;
    }

    .quick-links a {
        font-size: 18px; 
    }
}


@media (max-width: 768px) {
    footer {
        padding: 40px 10px; 
    }

    .footer-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .social-media a {
        font-size: 50px; 
        margin: 0 15px; 
    }

    .quick-links p {
        font-size: 18px;
    }

    .quick-links a {
        font-size: 18px; 
    }

    .contact-info p {
        font-size: 16px; 
    }

    .copyright {
        font-size: 14px;
        margin-top: 30px;
    }
}
